package com.kingdee.eas.custom.dormitorysystem.application;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractRoomChangeApplicationInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractRoomChangeApplicationInfo()
    {
        this("id");
    }
    protected AbstractRoomChangeApplicationInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.dormitorysystem.application.RoomChangeApplicationEntryCollection());
    }
    /**
     * Object: 换宿申请单 's 分录 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.application.RoomChangeApplicationEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.RoomChangeApplicationEntryCollection)get("entrys");
    }
    /**
     * Object:换宿申请单's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:换宿申请单's 宿舍管理说明property 
     */
    public String getManagementNotes()
    {
        return getString("managementNotes");
    }
    public void setManagementNotes(String item)
    {
        setString("managementNotes", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("0CDEF948");
    }
}